
BOOL SaveSettings()
{

   int a;
   char buf[128];

   FILE *f = fopen( "ecocrc.ini", "w" );
   if (f){

      fprintf( f,
            "[%s]\n"
            "%s=%d\n"
            "%s=%d\n"
            "%s=%d\n"
            "%s=%d\n"
            "%s=%d\n"
            "%s=%s\n"
            "%s=%d\n"
            "%s=%d\n"
            "%s=%d\n"
            "%s=%d\n"
            "%s=%d\n\n",
            Ini_Head,
            Ini_ThumbSize, setup.thumbsize,
            Ini_MenuTimeout, setup.menutimeout,
            Ini_MasterVolumeID, setup.mastervolumeid,
            Ini_MasterVolumeStep, setup.mastervolumestep,
            Ini_EnablePopa, setup.enablepopa,
            Ini_BrightnessPlugin, setup.brightnessplugin,
            Ini_IndicatorCorner, setup.IndicatorCorner,
            Ini_IndicatorDX, setup.IndicatorDX,
            Ini_IndicatorDY, setup.IndicatorDY,
            Ini_DontPushUniaud, setup.dontpushuniaud,
            Ini_PluginControlsVolume, setup.PluginControlsVolume
           );
           
      fclose( f );
   }

  return 0;
}


BOOL LoadSettings()
{
   char namename[64]="";
   CHAR buf[256];

   char *sbuf;
   ULONG len=0;

   
   IniFile *pCfg;

   strcpy(namename, "ecocrc.ini");


   pCfg = new IniFile( namename );
   
   setup.thumbsize=atoi2( pCfg->Get( Ini_Head, Ini_ThumbSize, "64") );
    
   setup.menutimeout=atoi2( pCfg->Get( Ini_Head, Ini_MenuTimeout, "3000") );
   
   setup.inditimeout=atoi2( pCfg->Get( Ini_Head, Ini_IndiTimeout, "2000") );
   
   setup.mastervolumeid=atoi2( pCfg->Get( Ini_Head, Ini_MasterVolumeID, "2") );
   
   setup.mastervolumestep=atoi2( pCfg->Get( Ini_Head, Ini_MasterVolumeStep, "4") );
   if(setup.mastervolumestep!=2) setup.mastervolumestep=4;
   
   setup.enablepopa=atoi2( pCfg->Get( Ini_Head, Ini_EnablePopa, "0") );
   
   setup.IndicatorCorner=atoi2( pCfg->Get( Ini_Head, Ini_IndicatorCorner, "0") );
   
   setup.IndicatorDX=atoi2( pCfg->Get( Ini_Head, Ini_IndicatorDX, "0") );
   setup.IndicatorDY=atoi2( pCfg->Get( Ini_Head, Ini_IndicatorDY, "0") );
   
   setup.dontpushuniaud=atoi2( pCfg->Get( Ini_Head, Ini_DontPushUniaud, "0") );
   setup.PluginControlsVolume=atoi2( pCfg->Get( Ini_Head, Ini_PluginControlsVolume, "0") );
   
   sbuf=pCfg->Get( Ini_Head, Ini_BrightnessPlugin, "none.dll" );
   if(sbuf){
      strcpy(setup.brightnessplugin, sbuf);
   }
   
   delete pCfg;
   
   
   return 0;
}

   